#!/usr/bin/env python
import os
import sys

class CConsole:
    M_MAP_COLOR = {\
    'COLOR_BLACK' : "\033[0;30m",
    'COLOR_RED' : "\033[0;31m",
    'COLOR_GREEN' : "\033[0;32m",
    'COLOR_YELLOW' : "\033[0;33m",
    'COLOR_BLUE' : "\033[0;34m",
    'COLOR_PUPPLE' : "\033[0;35m",
    'COLOR_CYAN' : "\033[0;36m",
    'COLOR_WHITE' : "\033[0;37m",
    'COLOR_RESTORE' : "\033[0m",
    }

    @staticmethod
    def ColorPrint(strPrint, strColor = None):
        strPrint = str(strPrint);
        if strColor in CConsole.M_MAP_COLOR.keys():
            strMsg = CConsole.M_MAP_COLOR[strColor] + strPrint + CConsole.M_MAP_COLOR['COLOR_RESTORE']
        else:
            strMsg = strPrint

        print(strMsg);
        sys.stdout.flush()

    @staticmethod
    def BoldPrint(strPrint):
        strMsg = "\033[1m" + strPrint + CConsole.M_MAP_COLOR['COLOR_RESTORE']
        print(strMsg);
        sys.stdout.flush()

