#!/home/tops/bin/python2.7
# -*- coding: utf-8 -*-
import os;
import sys;
import time;
import unittest;

__strCurrentDir__ = os.path.abspath(os.path.dirname(__file__))
__strModuleDir__ = os.path.dirname(__strCurrentDir__)
if __strModuleDir__ not in sys.path:
    sys.path.insert(0, __strModuleDir__)
    sys.path.insert(0, os.path.dirname(__strModuleDir__))

from common.exception import CStrException,CFatalException;
from common.linux_env import CLinuxEnv;
from common.common import CProcess;

class CLinuxEnvTest(unittest.TestCase):
    def setUp(self):
        pass;

    def tearDown(self):
        pass;

    def testConvert(self):
        self.assertEqual(2, CLinuxEnv.ConvertToByte('2 B'));
        self.assertEqual(2*1024, CLinuxEnv.ConvertToByte('2 KB'));
        self.assertEqual(2*1024*1024, CLinuxEnv.ConvertToByte('2 MB'));
        self.assertEqual(2*1024*1024*1024, CLinuxEnv.ConvertToByte('2 GB'));
        self.assertEqual(2*1024*1024*1024*1024, CLinuxEnv.ConvertToByte('2 TB'));

if '__main__' == __name__:
    unittest.main();
