#!/home/tops/bin/python2.7
# -*- coding: utf-8 -*-
import os
import sys
import commands
import json
import uuid;
import copy

__strCurrentDir__ = os.path.abspath(os.path.dirname(__file__))
__strModuleDir__ = os.path.dirname(__strCurrentDir__)
if __strModuleDir__ not in sys.path:
    sys.path.insert(0, __strModuleDir__)

from common.common import CProcess
from common.common import CEnv
from common.log import info, error

# v3 下线时，因为cs 数量很少，fuxi 的文件副本数过大，导致无法下线
# 给一个目录，进行遍历，设置文件副本数
class SetFileReplica:
    def __init__(self):
        #
        self.m_lsFilePath = [];
        self.m_lsDir = [];
        pass;

    # 遍历文件夹
    def  TraverseDir(self, path):
        if path[-1] != '/':
            path = path + '/'

        strCmd = "/apsara/deploy/pu ls pangu://localcluster/" + path
        nRet, strOut = CProcess.RunCmd4NoException(strCmd);
        if nRet == 0 and len(strOut) > 0:
            for each in strOut.split("\n"):
                fullpath = path + each;
                if each[-1] != "/":
                    self.m_lsFilePath.append(fullpath)
                    print "find file: ", fullpath
                else:
                    self.m_lsDir.append(fullpath)

        while len(self.m_lsDir) > 0:
            self.TraverseDir(self.m_lsDir.pop())

    def GenSetFileReplicaStript(self, filename, lsPath, lessmin, lessmax):
        dstFile = os.path.join(__strCurrentDir__, filename)
        dstFd = open(dstFile, "w")
        for each in lsPath:
            dstFd.write("/apsara/deploy/pu setreplica  pangu://localcluster/" + each + " " + lessmin + " " + lessmax + "\n");
        dstFd.close()

if '__main__' == __name__:

    if  len(sys.argv) != 4:
        print ("Usage: " + sys.argv[0] + " path  lessmin lessmax")
        exit(2)

    obj = SetFileReplica();
    path =  sys.argv[1];
    lessmin = sys.argv[2];
    lessmax = sys.argv[3];

    if path.startswith("pangu://localcluster/"):
        path = path[len("pangu://localcluster/"):]

    obj.TraverseDir(path)
    obj.GenSetFileReplicaStript("result_for_setfilereplica.sh", obj.m_lsFilePath, lessmin, lessmax);


