#!/bin/bash

if [ ! -f "aglist" ]; then
    echo "### begin generate ag list"
    chmod +x  clusters_ag.py
    ./clusters_ag.py
fi

for i in `cat aglist`;
do
    if [ $1 == "save" ];then
        echo "### begin pangu_check, ag is $i"
        echo "### copy pangu_diagnosis.tar.gz to ag"
        ssh $i "mkdir /home/admin/pangu_status_check; chown admin:admin /home/admin/pangu_status_check/";
        scp pangu_diagnosis.tar.gz $i:/home/admin/pangu_status_check/;
        ssh $i "chmod 644 /home/admin/pangu_status_check/pangu_diagnosis.tar.gz";

        echo "### run"
        ssh -o ConnectTimeout=3600 -n $i "su - admin -c 'cd /home/admin/pangu_status_check; tar zxf pangu_diagnosis.tar.gz; cd pangu_diagnosis/tools; ./pangu_status_save.py'"
    fi

    if [ $1 == "check" ];then
        ssh -o ConnectTimeout=3600 -n $i "su - admin -c '/home/admin/pangu_status_check/pangu_diagnosis/tools/pangu_status_check.py'"
    fi
done
