#!/home/tops/bin/python2.7
# -*- coding: utf-8 -*-
import os;
import os.path;
import sys;
import json;
import urllib2;
import urllib;
import datetime;
import hashlib;

__strCurrentDir__ = os.path.abspath(os.path.dirname(__file__))
__strModuleDir__ = os.path.dirname(__strCurrentDir__)
__strTopDir__ = os.path.dirname(__strCurrentDir__)
if __strTopDir__ not in sys.path:
    sys.path.insert(0, __strTopDir__)

from common import CProcess;
from data_analyze.data_check_json import CDataCheckJson;

class CAlimonitor:
    m_username = 'envcheck_alarm'
    m_privateKey = 'f8fd15bcbf30998bace56b0092ea45ab'
    m_url = 'http://muses.tbsite.net/api/sendAlarm.rdo'

    def __init__(self):
        # env为0，是测试环境，使用测试地址，为1是专有云环境，使用正式地址
        try:
            response = urllib2.urlopen('http://muses.tbsite.net/api/sendAlarm.rdo')
        except Exception, e:
            self.m_url = 'http://10.218.145.82:7006/api/sendAlarm.rdo'
            print "Couldn't connect to the formal link: " + str(e)
            print "Warning: Using testing link instead. Phones and mailboxes will not receive the alert messages."
        self.m_msgEntity = {}
        self.m_msgEntity['username'] = self.m_username
        self.m_msgEntity['password'] = self.GenPassword(self.m_username, self.m_privateKey)

    def Send(self, receivers, method, message, subtitle = ''):
        self.m_msgEntity['method'] = method
        self.m_msgEntity['message'] = message
        if method == 'mail':
            self.m_msgEntity['subtitle'] = subtitle
        elif self.m_msgEntity.has_key('subtitle'):
            del self.m_msgEntity['subtitle']

        for receiver in receivers:
            self.SendToSingleReceiver(receiver)

    def SendToSingleReceiver(self, receiver):
        self.m_msgEntity['address'] = receiver
        try:
            data = urllib.urlencode(self.m_msgEntity)
            req = urllib2.Request(self.m_url, data)
            response = urllib2.urlopen(req).read()
            if response.split(',')[1].find('true') != -1:
                print "Message sent successfully"
            else:
                print "Error: " + response.split(':')[1].split('"')[1]
        except Exception, e:
            print "Error: " + str(e)

    def GenPassword(self, userName, privateKey):

        curDate = datetime.datetime.now().strftime('%Y%m%d')
        data = (userName + curDate + privateKey).encode("utf8")
        md = hashlib.md5()
        md.update(data)
        return md.hexdigest();

