#!/home/tops/bin/python2.7
# -*- coding: utf-8 -*-

import os;
import sys;

__strCurrentDir__ = os.path.abspath(os.path.dirname(__file__))
__strModuleDir__ = os.path.dirname(__strCurrentDir__)
__strTopDir__ = os.path.dirname(__strCurrentDir__)
if __strTopDir__ not in sys.path:
    sys.path.insert(0, __strTopDir__)

import yate

def SetToString(data, showCount = True):
    if len(data) == 0:
        return "none";

    # sort
    lsData = [];
    for i in data:
        lsData.append(i);
    lsData.sort();

    strOut = ""
    if showCount:
        strOut = yate.strong('[count] : ') + '%d'%len(lsData) + "    [";
    else:
        strOut = "["

    strElems = ',  '.join(lsData)
    strOut = strOut + strElems + ']'

    return strOut;

def SetToStringToCmd(data,):
    if len(data) == 0:
        return "none";

    # sort
    lsData = [];
    for i in data:
        lsData.append(i);
    lsData.sort();

    strOut = '[count]: ' + '%d'%len(lsData) + " [";

    strElems = ',  '.join(lsData)
    strOut = strOut + strElems + ']'

    return strOut;

def nopassCheckResultOutput(lsResult):
    lsResult.sort()
    lsShow = []
    for each in lsResult:
       for key in each:
            if len(each[key]) > 0:
                lsShow.append(yate.strong(key))
                lsSub = []
                lsSub.append(yate.em ("Not Passed " + SetToString(each[key])))
                lsShow.append(yate.u_list(lsSub))

    return len(lsShow) / 2, yate.u_list_external(lsShow)

def passCheckResultOutput(lsResult):
    lsResult.sort()
    lsShow = []
    for each in lsResult:
       for key in each:
            if len(each[key]) == 0 :
                lsShow.append(yate.strong(key))
                lsSub = []
                lsSub.append(yate.green("pass"))
                lsShow.append(yate.u_list(lsSub))

    return len(lsShow) / 2, yate.u_list_external(lsShow)

def nopassCheckResultOutputToCmd(lsResult):
    outCount = 0
    outStr = ''

    lsResult.sort()
    for each in lsResult:
       for key in each:
            if len(each[key]) > 0:
                outCount = outCount + 1
                outStr = outStr + key + "\n"
                outStr = outStr +  "     " + SetToStringToCmd(each[key]) + '\n'

    return outCount, outStr

