#!/home/tops/bin/python2.7
# -*- coding: utf-8 -*-
import os;
import sys;
import time;
import unittest;
from urllib2 import HTTPError;
__strCurrentDir__ = os.path.abspath(os.path.dirname(__file__))
__strModuleDir__ = os.path.dirname(__strCurrentDir__)
if __strModuleDir__ not in sys.path:
    sys.path.insert(0, __strModuleDir__)
    sys.path.insert(0, os.path.dirname(__strModuleDir__))

from common.exception import CStrException,CFatalException;
from common.http import CHttp;
from common.common import CProcess;

class CHttpSvr:
    def __init__(self, nPort = 12345):
        print('start http server');
        self.m_nPort = nPort;
        self.Start();

    def __del__(self):
        print("stop httpd server");
        self.Stop();

    def Stop(self):
        os.system("ps auxf | grep SimpleHTTPServer | grep -v grep | grep %s | awk '{print $2}' | xargs kill -9" %(self.m_nPort));

    def Start(self):
        print("stop http svr first");
        self.Stop();
        print("start http svr");
        os.system("nohup /home/tops/bin/python2.7 -m SimpleHTTPServer %s > /tmp/http_svr.tmp 2>&1 &" %self.m_nPort);
        return self.Status();

    def Status(self):
        strOutput = CProcess.RunCmd("ps auxf | grep SimpleHTTPServer | grep -v grep | grep %s" %(self.m_nPort));
        print(strOutput);

    def GetTestUrl(self):
        return "http://127.0.0.1:%s/" %self.m_nPort;

class CHttpTest(unittest.TestCase):
    M_OHTTP_SVR = CHttpSvr();
    def setUp(self):
        self.m_oHttp = CHttp();

    def tearDown(self):
        pass;

    def GetTestUrl(self):
        return CHttpTest.M_OHTTP_SVR.GetTestUrl();

    def testGet(self):
        strRet = self.m_oHttp.Get(self.GetTestUrl(), {'a' : 'aa', 'b' : 'bb'});
        print(strRet);

    def testPost(self):
        try:
            strRet = self.m_oHttp.Post(self.GetTestUrl(), {'a' : 'aa', 'b' : 'bb'});
            print(strRet);
        except HTTPError, e:
            print(str(e));
            self.assertEqual(e.code, 501);

    def testPut(self):
        try:
            strRet = self.m_oHttp.Put(self.GetTestUrl(), {'a' : 'aa', 'b' : 'bb'});
            print(strRet);
        except HTTPError, e:
            print(str(e));
            self.assertEqual(e.code, 501);

    def testDelete(self):
        try:
            strRet = self.m_oHttp.Delete(self.GetTestUrl(), {'a' : 'aa', 'b' : 'bb'});
            print(strRet);
        except HTTPError, e:
            print(str(e));
            self.assertEqual(e.code, 501);

if '__main__' == __name__:
    unittest.main();

