#!/home/tops/bin/python2.7
# -*- coding: utf-8 -*-
# html template
from string import Template

def start_response(resp="text/html"):
    return('Content-type: ' + resp + '\n\n')

def include_header(the_title):
    with open('../template/header.html') as headf:
        head_text = headf.read()
    header = Template(head_text)
    return(header.substitute(title=the_title))

def include_footer(the_links):
    with open('../template/footer.html') as footf:
        foot_text = footf.read()
    link_string = ''
    for key in the_links:
        link_string += '<a href="' + the_links[key] + '">' + key + '</a>&nbsp;&nbsp;&nbsp;&nbsp;'
    footer = Template(foot_text)
    return(footer.substitute(links=link_string))

def start_form(the_url, form_type="POST"):
    return('<form action="' + the_url + '" method="' + form_type + '">')

def end_form(submit_msg="Submit"):
    return('<p></p><input type=submit value="' + submit_msg + '"></form>')

def radio_button(rb_name, rb_value):
    return('<input type="radio" name="' + rb_name +
                             '" value="' + rb_value + '"> ' + rb_value + '<br />')
def u_list(items):
    u_string = '<ul>'
    for item in items:
        u_string += '<li>' + item + '</li>'
    u_string += '</ul>'
    return(u_string)

def u_list_external(items):
    u_string = ''
    for item in items:
        u_string +=  item;
    return(u_string)

def header(header_text, header_level=1):
    return('<h' + str(header_level) + '>' + header_text +
           '</h' + str(header_level) + '>')

def para(para_text):
    return('<p>' + para_text + '</p>')

def strong(para_text):
    return('<strong>' + para_text + '</strong>')

def herf(link, show):
    u_string = '<a href="' + link + '">' + show + '</a>&nbsp;&nbsp;&nbsp;&nbsp;'
    return u_string;

def h1(para_text):
    return('<h1>' + para_text + '</h1>')

def h2(para_text):
    return('<h2>' + para_text + '</h2>')

def h3(para_text):
    return('<h3>' + para_text + '</h3>')

def h4(para_text):
    return('<h4>' + para_text + '</h4>')

def em(para_text):
    return('<em>' + para_text + '</em>')

def anchor(para_key, para_show):
    return("<a href = \"#" + para_key + "\">" + para_show + "</a>");

def anchor_dst(para_key, para_show = ''):
    return("<a id = \"" + para_key + "\">" + para_show + "</a></h3>");

def green(para_text):
    return ("<div style=\"color:#009900\">" + para_text + "</div>")

