#!/home/tops/bin/python2.7
# -*- coding: utf-8 -*-
import os
import sys
import commands
import json
import uuid;
import copy

__strCurrentDir__ = os.path.abspath(os.path.dirname(__file__))
__strModuleDir__ = os.path.dirname(__strCurrentDir__)
if __strModuleDir__ not in sys.path:
    sys.path.insert(0, __strModuleDir__)

from common.common import CProcess
from common.common import CEnv
from common.log import info, error

# service-pangu 基线库里有38+ 个盘古模板，每次提交前，要保证json 格式的正确性
# 遍历文件夹，验证所有json 文件的合法性
class CheckJsonFormat:
    def __init__(self):
        #
        self.m_lsFilePath = []
        self.m_lsDir = [];
        pass;

    # 遍历文件夹
    def  TraverseDir(self, path):
        if not os.path.isdir(path):
            return ;

        for each in os.listdir(path):
            eachPath = os.path.join(path, each)
            if os.path.isfile(eachPath) and each.endswith("json"):
                self.m_lsFilePath.append(eachPath)
            elif os.path.isdir(eachPath):
                self.m_lsDir.append(eachPath)

        while len(self.m_lsDir) > 0:
            self.TraverseDir(self.m_lsDir.pop())

    def CheckJsonFormat(self):
        for each in self.m_lsFilePath:
            print each
            json.loads(open(each, "r").read())


if '__main__' == __name__:

    if  len(sys.argv) != 2:
        print ("Usage: " + sys.argv[0] + " path")
        exit(2)

    obj = CheckJsonFormat();
    path =  sys.argv[1];

    obj.TraverseDir(path)
    obj.CheckJsonFormat();



