#! /bin/env bash

if [ $# -ne 1 ]; then
    echo "Usage $0 source_location"
    exit
fi

SRC_LOCATION=$1
LOG_PATH=""
LOG_PATH1="/apsara/pangu_chunkserver/pangu_chunkserver.LOG"
LOG_PATH2="/apsara/pangu_chunkserver/log/pangu_chunkserver.LOG"

if [ -e $LOG_PATH1 ]; then
    LOG_PATH=$LOG_PATH1
elif [ -e $LOG_PATH2 ]; then
    LOG_PATH=$LOG_PATH2
else
    echo "pangu_chunkserver log not found"
    exit
fi

grep "AddReplicationTask.*SrcLocation:tcp://${SRC_LOCATION}.*" ${LOG_PATH}* >>$(pwd)/replication_${SRC_LOCATION}.LOG
